"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const extend_open_api3_schema_with_reference_sources_1 = require("./extend-open-api3-schema-with-reference-sources");
const toParsedProperty = (bodyObjectSchema, pathBuilder, spec) => {
    return {
        originalPath: pathBuilder.build(),
        value: extend_open_api3_schema_with_reference_sources_1.extendOpenApi3SchemaWithReferenceSources(bodyObjectSchema, spec)
    };
};
const getSchemaFromBodyObject = (bodyObject) => {
    return bodyObject.content && bodyObject.content['application/json']
        ? bodyObject.content['application/json'].schema
        : undefined;
};
const getPathForBodyObject = (pathBuilder) => {
    return pathBuilder.withChild('content').withChild('application/json').withChild('schema');
};
exports.parseOpenApi3BodyObjectJsonSchema = (bodyObject, pathBuilder, spec) => {
    const bodyObjectSchema = getSchemaFromBodyObject(bodyObject);
    const bodyObjectPath = getPathForBodyObject(pathBuilder);
    return bodyObjectSchema
        ? toParsedProperty(bodyObjectSchema, bodyObjectPath, spec)
        : undefined;
};
